﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Offboarding Organization</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Offboarding Organization</h1>
        <p>As identities, organizations also have a lifecycle from onboarding to finally being decommissioned. EIC supports the following two status of an organization:</p>
        <ul>
            <li>
                <p>Active</p>
            </li>
            <li>
                <p>Inactive</p>
            </li>
        </ul>
        <p>You can change the organization status from <strong>active</strong> to <strong>inactive</strong>using UI, Bulk Upload, API, or Organization Owner campaign. </p>
        <h2 id="OffboardingOrganization-DeactivatingOrganizationUsingUI">Deactivating Organization Using UI</h2>
        <p>To change the organization status using UI, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>Admin &gt; Identity Repository &gt; Organization or using ARS &gt; Manage Organization &gt; Update Organization</strong>.</p>
            </li>
            <li>
                <p>Click the Organization name for which you want to change the status.<br />The Organization Detail page is displayed.</p>
            </li>
            <li>
                <p>Select the status as <strong>Inactive</strong> from the drop-down menu and click <strong>Update</strong>.<br />If there is a workflow set, the organization update is sent for approval. After the approval, the organization status changes to<strong> Inactive</strong>.<br />The organization status change is directly related to theOrganization Update Rule. So that when the organization status changes to <strong>Inactive</strong>, it triggers the Organization Update Rule.</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Using the Organization Update Rule, you can define the condition as organization status equals '0' then trigger selected action from the Organization Update Rule.</p>
        </div>
        <h2 id="OffboardingOrganization-DeactivatingOrganizationUsingRESTAPI">Deactivating Organization Using REST API</h2>
        <p>You can change the status of any organization from ‘active’ to ‘inactive’ using the <strong>updateOrganization</strong> and <strong>updateOrganizationRequest</strong> APIs. The <strong>updateOrganization</strong> API does not invoke the workflow while the <strong>updateOrganizationRequest</strong> API invokes the workflow. <br />Based on the API used, it triggers the workflow approval. After the approval, the organization status changes to <strong>Inactive</strong>. This triggers the Organization Update Rule if a condition as ‘Organization status equals to 0’ is configured. The corresponding action defined in the Organization Update Rule is triggered. </p>
        <h2 id="OffboardingOrganization-DecommissioningOrganization">Decommissioning Organization </h2>
        <p>You can use the Organization Owner campaign to check and audit the organization, users, and child organization within the parent organization. These organizations contain users, child organizations, and other identities that are associated with it. If you decommission an organization while reviewing the Organization Owner campaign, the organization status changes to inactive. To trigger the disassociation of identities related to an organization, you need to define the Organization Update Rule.</p>
        <p>Decommissioning an organization changes the status of users or child organizations to rejected in the right pane. A confirmation popup message displays the total number of active or inactive users and active or inactive child organizations impacted when the corresponding parent organization is decommissioned. When you click the <strong>Decommission</strong> button, the following screen is displayed.</p>
        <p>
            <img src="../../Resources/Images/Impacted Entities upon Decommissioning Organization.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;" />
        </p>
        <p>Figure: Impacted Entities upon Decommissioning Organization </p>
        <h2 id="OffboardingOrganization-TriggeringOrganizationUpdateRuleUponOrganizationStatusChange">Triggering Organization Update Rule Upon Organization Status Change</h2>
        <p>Using the Organization Update Rule, you can define the condition as organization status equals '0' then trigger selected action from the Organization Update Rule. The following are some examples of actions triggered when you decommission an organization using the Organization Update Rule.</p>
        <ul>
            <li>
                <p><strong>Use Case 1:</strong> When an organization status changes to inactive due to decommissioning action, you can remove the association between the organization and objects inside that organization by selecting the&#160;<strong>Deprovision All Organization User Access</strong>&#160;action from the Organization Update Rule. As a result, the associated objects (endpoints, roles, owners, and entitlements) are no longer available in the decommissioned organization.</p>
            </li>
            <li>
                <p><strong>Use Case 2:</strong> You can delete the association between the organization and objects inside that organization by selecting the&#160;<strong>Delete All Associations</strong>&#160;action from the Organization Update Rule. As a result, the associated objects (endpoints, roles, owners, and entitlements) are no longer available in that organization when the organization is decommissioned.<br />For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link,Default.Web">Creating Organization Update Rule</MadCap:conditionalText>.</p>
            </li>
        </ul>
    </body>
</html>